Bug 248788

Summary: emulators/simh: fix build problem on LLVM 11
Product: Ports & Packages Reporter: bob
Component: Individual Port(s)Assignee: Stefan Eßer <se>
Status: Closed FIXED    
Severity: Affects Some People CC: fernape
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Bug Depends on:    
Bug Blocks: 248756    
Attachments:
Description Flags
Patch for Makefile none

Description bob 2020-08-20 19:41:38 UTC
Created attachment 217397 [details]
Patch for Makefile

simh does not build on LLVM 11. This is due to the default setting of -fno-common (previously -fcommon).

The upstream code depends on weak globals, so the fix is simply to provide -fcommon as part of CFLAGS.

Tested on 13-CURRENT and latest ports tree, using LLVM11 from ports.

This is a backward compatible fix.

Patch attached.
Comment 1 Fernando Apesteguía freebsd_committer 2020-08-21 06:11:04 UTC
^Triage: [tags] in issue Titles are deprecated.
^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]
Comment 2 Fernando Apesteguía freebsd_committer 2021-01-04 13:00:40 UTC
This was fixed in ports r547263.

^Triage: Assign to committer resolving